/*
 * This file is part of the coreboot project.
 *
 * Copyright (C) 2007 Corey Osgood <corey_osgood@verizon.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 */

#ifndef SOUTHBRIDGE_VIA_VT82C686_CHIP_H
#define SOUTHBRIDGE_VIA_VT82C686_CHIP_H

#include <device/device.h>
//#include <pc80/keyboard.h>
//#include <uart8250.h>

extern const struct chip_operations southbridge_via_vt82c686_ops;

struct southbridge_via_vt82c686_config {
	int enable_com_ports:1;
	int enable_keyboard:1;
	int enable_nvram:1;
	int ide0_enable:1;
	int ide1_enable:1;
	int ide_legacy_enable:1;
	int usb_enable:1;
};

#endif /* SOUTHBRIDGE_VIA_VT82C686_CHIP_H */
